Skip to main content
POST
/
cards
/
{card_id}
/
webhook_simulations
/
fulfillment
Simulate Card Fulfillment Event
curl --request POST \
  --url https://api-sandbox.synctera.com/v0/cards/{card_id}/webhook_simulations/fulfillment \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{}'
import requests

url = "https://api-sandbox.synctera.com/v0/cards/{card_id}/webhook_simulations/fulfillment"

payload = {}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({})
};

fetch('https://api-sandbox.synctera.com/v0/cards/{card_id}/webhook_simulations/fulfillment', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}
{
"code": "BAD_REQUEST_BODY",
"detail": "missing required fields: first_name, dob",
"status": 400,
"title": "Bad Request Body",
"type": "https://dev.synctera.com/errors/bad-request-body"
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

card_id
string<uuid>
required

The unique identifier of a card

Example:

"7d943c51-e4ff-4e57-9558-08cab6b963c7"

Body

application/json

Desired simulated fulfillment status change value

card_fulfillment_status
enum<string>
required

The status indicating the state of the card issuance

Available options:
DIGITALLY_PRESENTED,
ISSUED,
ORDERED,
REISSUED,
REJECTED,
REORDERED,
SHIPPED

Response

Simulated fulfillment status change value

card_fulfillment_status
enum<string>
required

The status indicating the state of the card issuance

Available options:
DIGITALLY_PRESENTED,
ISSUED,
ORDERED,
REISSUED,
REJECTED,
REORDERED,
SHIPPED